summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2016-12-14 15:42:11 +0100
committerFilip Tehlar <ftehlar@cisco.com>2016-12-14 16:57:15 +0100
commit14e1f9b17d4aaaca8000c28d09f2408911a6bd0e (patch)
tree981f7a6aba53415e5eb42ce9c786139a6c36b7a4
parentaae5e3f47fb4ac59c36b55b3d91da9bb5f747c22 (diff)
Fix src/dst test
Change-Id: I354585028a0b6de99da978ec832b5c56fdba02a1 Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/src_dst_overwrite.sh46
1 files changed, 45 insertions, 1 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/src_dst_overwrite.sh b/tests/data_plane/vpp_lite_topo/test_driver/src_dst_overwrite.sh
index e7bf1a2..1c0c507 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/src_dst_overwrite.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/src_dst_overwrite.sh
@@ -60,6 +60,50 @@ function test_src_dst_overwrite
# Replace ODL mapping with negative one
post_curl "add-mapping" "replace1.json"
+
+ # wait for SMR being resolved
+ sleep 2
+
+ maybe_pause
+
+ # now ping should fail
+ send_ping_from_ns_expect_failure vppns1 ${1} ${2}
+
+ maybe_pause
+
+ # Replace ODL mapping with positive one
+ post_curl "add-mapping" "replace2.json"
+
+ # wait for SMR being resolved
+ sleep 2
+
+ maybe_pause
+
+ # expect ping reply again
+ send_ping_from_ns vppns1 ${1} ${2}
+ rc=$?
+
+ maybe_pause
+ 2_node_topo_clean
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}
+
+function test_src_dst_overwrite_superset
+{
+ 2_node_topo_setup
+
+ maybe_pause
+
+ test_result=1
+
+ # send ping request
+ send_ping_from_ns vppns1 ${1} ${2}
+
+ maybe_pause
+
+ # Replace ODL mapping with negative one
+ post_curl "add-mapping" "replace1.json"
remove_sd_mapping "6.0.1.0/24" "6.0.2.0/24"
# wait for SMR being resolved
@@ -87,6 +131,6 @@ function test_src_dst_overwrite
maybe_pause
2_node_topo_clean
- print_status $rc "No ICM response!"
+ print_status $rc "No ICMP response!"
exit $test_result
}